DROP TABLE CRST_PO_REQUISITION_HEADERS_AL;

CREATE TABLE CRST_PO_REQUISITION_HEADERS_AL
(
  REQUISITION_HEADER_ID      NUMBER             NOT NULL,
  PREPARER_ID                NUMBER(9)          NOT NULL,
  LAST_UPDATE_DATE           DATE               NOT NULL,
  LAST_UPDATED_BY            NUMBER             NOT NULL,
  SEGMENT1                   VARCHAR2(20 BYTE)  NOT NULL,
  SUMMARY_FLAG               VARCHAR2(1 BYTE)   NOT NULL,
  ENABLED_FLAG               VARCHAR2(1 BYTE)   NOT NULL,
  SEGMENT2                   VARCHAR2(20 BYTE),
  SEGMENT3                   VARCHAR2(20 BYTE),
  SEGMENT4                   VARCHAR2(20 BYTE),
  SEGMENT5                   VARCHAR2(20 BYTE),
  START_DATE_ACTIVE          DATE,
  END_DATE_ACTIVE            DATE,
  LAST_UPDATE_LOGIN          NUMBER,
  CREATION_DATE              DATE,
  CREATED_BY                 NUMBER,
  DESCRIPTION                VARCHAR2(240 BYTE),
  AUTHORIZATION_STATUS       VARCHAR2(25 BYTE),
  NOTE_TO_AUTHORIZER         VARCHAR2(4000 BYTE),
  TYPE_LOOKUP_CODE           VARCHAR2(25 BYTE),
  TRANSFERRED_TO_OE_FLAG     VARCHAR2(1 BYTE),
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ON_LINE_FLAG               VARCHAR2(1 BYTE),
  PRELIMINARY_RESEARCH_FLAG  VARCHAR2(1 BYTE),
  RESEARCH_COMPLETE_FLAG     VARCHAR2(1 BYTE),
  PREPARER_FINISHED_FLAG     VARCHAR2(1 BYTE),
  PREPARER_FINISHED_DATE     DATE,
  AGENT_RETURN_FLAG          VARCHAR2(1 BYTE),
  AGENT_RETURN_NOTE          VARCHAR2(240 BYTE),
  CANCEL_FLAG                VARCHAR2(1 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  USSGL_TRANSACTION_CODE     VARCHAR2(30 BYTE),
  GOVERNMENT_CONTEXT         VARCHAR2(30 BYTE),
  REQUEST_ID                 NUMBER,
  PROGRAM_APPLICATION_ID     NUMBER,
  PROGRAM_ID                 NUMBER,
  PROGRAM_UPDATE_DATE        DATE,
  INTERFACE_SOURCE_CODE      VARCHAR2(25 BYTE),
  INTERFACE_SOURCE_LINE_ID   NUMBER,
  CLOSED_CODE                VARCHAR2(25 BYTE),
  ORG_ID                     NUMBER,
  WF_ITEM_TYPE               VARCHAR2(8 BYTE),
  WF_ITEM_KEY                VARCHAR2(240 BYTE),
  EMERGENCY_PO_NUM           VARCHAR2(20 BYTE),
  PCARD_ID                   NUMBER(15),
  APPS_SOURCE_CODE           VARCHAR2(25 BYTE),
  CBC_ACCOUNTING_DATE        DATE,
  CHANGE_PENDING_FLAG        VARCHAR2(1 BYTE),
  REQUISITION_HEADER_ID_N    NUMBER
);
